Subject: Re: bug#12001: 24.1.50; vc-diff always talks to CVS repository

From: Glenn Morris <[email-masked]>
Date: Mon, 20 Aug 2012 23:53:49 -0400

Firstly;

Is this bug report about CVS, as the initial report and subject
indicate; or is it about bzr, as every subsequent message seems to
indicate? If so, bzr + vc-diff + no network works just fine for me.

Eli Zaretskii wrote:

> Since bzr has all the history of the versions locally

Secondly; 

Maybe rms has somehow ended up with a lightweight checkout, or a stacked
branch, or some other non-standard form of bzr repository that does not
actually keep all the data locally.

What does `bzr info' report in the local copy?

While Emacs could in principle try to handle these forms of bzr checkout
better, it seems kind of pointless, since the solution is simply to use
a "normal" bzr branch.